package smart_gs.transcription_tool.tesseract;

public class HocrWord extends HocrElement {
	
	private String word;
		

	@Override
	public String getText() {
		return this.word;
	}


	public String getWord() {
		return word;
	}


	public void setWord(String word) {
		this.word = word;
	}
	
	public String toString() {
		return "HocrWord[word=" + this.word + "]";
	}


	@Override
	public String toHtmlElem() {
		return String.format("<span id=\"%s\" class=\"ocrx_word\" title=\"%s\">%s </span>", this.id, this.bbox.toString(), this.word);
	}
	
}
